VARKON Version 1.17 1999-03-15

> ## text - Geometric procedure

> Creates a graphical text

> Description

> Creates a 2D- or 3D-text with variable position, direction, size, width, character slant and typeface (font). The text entity is a vector font type of text continously scalable and with the same appearance when printed as when displayed on screen (true type). In 3D the textplane orientation can be controlled by the TPMODE attribute.

> Syntax

> text(id, p, dir, str:attributes);

> REF | id;
> VECTOR | p;
> FLOAT | dir;
> STRING | str;

> Principal parameters

> id | - Local identity
> p | - Lower left corner of first character in text
> dir | - Direction, counterclockwise angle from positive X-axis active
> | coordinate system
> str | - Text string of characters

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> TSIZE | - Textsize, the height of a capital l "A"
> TWIDTH | - Textwidth in % of TSIZE
> TSLANT | - Character slant in % of 45 degrees
> TFONT | - Font number
> TPMODE | - Text plane display mode, 0 or 1
> WIDTH | - Linewidth

> Examples

> text(#2,vec(10,10),0,"Hello everybody !":TSIZE=20);

> Creates a size 20 horisontal text with identity = #2 in X = Y = 10.

> Comments

> 6 fonts are delivered with the system. Font 0 is default. Font 1 is serif and more "beautiful" but also slower. Font 2 is and font 3 are non serif and serif fonts conforming to the ISO8859 characterset and font 4 and font 5 are the non serif and serif fonts conforming to the PC characterset. Click below to see what they look like:

> > TFONT=0 Default font
> > TFONT=1 Serif version of font 0
> > TFONT=2 ISO8859
> > TFONT=3 Serif version of font 2
> > TFONT=4 PC
> > TFONT=5 Serif version of font 4

> Customized fonts can be created using the font editor supplied with the system.

> In 3D the TPMODE attribute controls the orientation of the plane in which the text is displayed. TPMODE = 0 (default) always displays the text in the plane of the screen (fully readable in all views). TPMODE = 1 displays the text as a "true" 3D entity in the XY-plane of the coordinate system that was active when the text was created.

VARKON Homepage | Index